GammaDist {base} | R Documentation

## The Gamma Distribution

### Description

Density, distribution function, quantile function and random generation for the Gamma distribution with parameters `shape` and `scale`.

### Usage

    dgamma(x, shape, scale=1, log = FALSE)
    pgamma(q, shape, scale=1, lower.tail = TRUE, log.p = FALSE)
    qgamma(p, shape, scale=1, lower.tail = TRUE, log.p = FALSE)
    rgamma(n, shape, scale=1)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations.
`shape, scale` | shape and scale parameters.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).
`lower.tail` | logical; if TRUE (default), probabilities are P[X <= x], otherwise, P[X > x].

### Details

If `scale` is omitted, it assumes the default value of `1`.

The Gamma distribution with parameters `shape` = a and `scale` = b has density

f(x) = 1/(b^a Gamma(a)) x^(a-1) e^-(x/b)

for x > 0, a > 0 and b > 0.

### Value

`dgamma` gives the density, `pgamma` gives the distribution function `qgamma` gives the quantile function, and `rgamma` generates random deviates.

### Note

The cumulative hazard H(t) = - log(1 - F(t)) is `-pgamma(t, ..., lower = FALSE, log = TRUE)`.

### See Also

`gamma` for the Gamma function, `dbeta` for the Beta distribution and `dchisq` for the chi-square distribution which is a special case of the Gamma distribution.

### Examples

    -log(dgamma(1:4, shape=1))
    p <- (1:9)/10
    pgamma(qgamma(p,shape=2), shape=2)
    1 - 1/exp(qgamma(p, shape=1))

[Package Contents]